# -*- coding:utf-8-unix -*-
#
# Copyright (c) 2007-2008 BBR Inc.
# This file and all modifications and/or additions are under 
# the same license as package itself.

%define datetag 20080604
%define CUPS_VER 1.3.7
%define POPPLER_VER 0.8.1

Name: opfc-pdf-filters
Version: 0.4.1
Release: 1.fc9
License: See the COPYING/LICENSE file in each package. 
Group: System Environment/Daemons
Vendor:  OpenPrinting Framework Consortium
URL:	http://opfc.sourceforge.jp/
Summary: OpenPrinting Japan - PDF filters for CUPS
Requires: cups >= %CUPS_VER
Requires: poppler >= %POPPLER_VER

BuildRequires: cups-devel >= %CUPS_VER poppler-devel >= %POPPLER_VER

BuildRoot: %{_tmppath}/%{name}-%{version}
Source0: cups-%{CUPS_VER}-source.tar.bz2
Source1: pdftoopvp-%{datetag}.tgz
Source2: imagetopdf-%{datetag}.tgz
Source3: pdftopdf-%{datetag}.tgz
Source4: pdftoraster-%{datetag}.tgz
Source5: poppler-%POPPLER_VER.tar.gz

%description
CUPS filters for PDF files.
pdftopdf : pdf page layout filter
imagetopdf : translating image to pdf filter
pdftoopvp : PDF renderer for OpenPrinting Vector API drivers.
pdftoraster : pdf to cups raster filter

%prep
%setup -qc -a 1 -a 2 -a 3 -a 4 -a 5

%build
(cd poppler-%POPPLER_VER;%configure)
(cd pdftoopvp/poppler-0.5.4;%configure;make)
(cd imagetopdf;autoreconf --install;%configure --with-cups-source=${RPM_BUILD_DIR}/%name-%version/cups-%CUPS_VER;make)
(cd pdftopdf;autoreconf --install;%configure --with-poppler-source=${RPM_BUILD_DIR}/%name-%version/poppler-%POPPLER_VER;make)
(cd pdftoraster;autoreconf --install;%configure --with-poppler-source=${RPM_BUILD_DIR}/%name-%version/poppler-%POPPLER_VER;make)

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd pdftoopvp/poppler-0.5.4/pdftoopvp;make install DESTDIR=${RPM_BUILD_ROOT})
install -d ${RPM_BUILD_ROOT}/%{_sysconfdir}
(cd imagetopdf;make install DESTDIR=${RPM_BUILD_ROOT})
(cd pdftopdf;make install DESTDIR=${RPM_BUILD_ROOT})
(cd pdftoraster;make install DESTDIR=${RPM_BUILD_ROOT})
install -d ${RPM_BUILD_ROOT}/%{_datadir}/cups/model
install -m 0644 pdftoopvp/ppd/* ${RPM_BUILD_ROOT}/%{_datadir}/cups/model
install -d ${RPM_BUILD_ROOT}/%{_datadir}/doc/pdftoopvp
install -m 0644 pdftoopvp/poppler-0.5.4/README.opvp ${RPM_BUILD_ROOT}/%{_datadir}/doc/pdftoopvp/
install -m 0644 pdftoopvp/poppler-0.5.4/README.opvp.jp ${RPM_BUILD_ROOT}/%{_datadir}/doc/pdftoopvp/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# restart CUPS if running
/etc/init.d/cups try-restart >/dev/null 2>&1
if test "$?" = "0"; then
    :
elif type service >/dev/null 2>&1; then
    service cups condrestart >/dev/null 2>&1
fi
exit 0

%postun
# restart CUPS if running
/etc/init.d/cups try-restart >/dev/null 2>&1
if test "$?" = "0"; then
    :
elif type service >/dev/null 2>&1; then
    service cups condrestart >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_libdir}/cups/filter/pdftoopvp
%{_libdir}/cups/filter/imagetopdf
%{_libdir}/cups/filter/pdftopdf
%{_libdir}/cups/filter/pdftoraster
%{_datadir}/cups/model/CNLBP2810PDFTOOPVP.ppd
%{_datadir}/cups/model/Epson-LP_6500-PDFTOOPVP.ppd
%{_datadir}/doc/imagetopdf/LICENSE.txt
%{_datadir}/doc/imagetopdf/README
%{_datadir}/doc/imagetopdf/README.jp
%{_datadir}/doc/pdftopdf/README
%{_datadir}/doc/pdftopdf/README.jp
%{_datadir}/doc/pdftoraster/README.jp
%{_datadir}/doc/pdftoraster/README
%{_datadir}/doc/pdftoopvp/README.opvp.jp
%{_datadir}/doc/pdftoopvp/README.opvp
%{_datadir}/man/man1/pdf2pdf.1.gz
%{_bindir}/pdf2pdf
%config(noreplace) %{_sysconfdir}/cups/imagetopdf.convs
%config(noreplace) %{_sysconfdir}/cups/imagetopdf.types
%config(noreplace) %{_sysconfdir}/cups/pdf.types
%config(noreplace) %{_sysconfdir}/cups/pdftopdf.convs
%config(noreplace) %{_sysconfdir}/cups/pdftoraster.convs
%config(noreplace) %{_sysconfdir}/fonts/conf.d/99pdftoopvp.conf
